curl --request POST \
--url https://flowker.sandbox.lerian.net/v1/workflows/{workflowId}/executions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"inputData": {
"transactionId": "txn-98765",
"amount": 1500,
"currency": "BRL",
"customerId": "cust-12345",
"message": "Payment received"
}
}
'import requests
url = "https://flowker.sandbox.lerian.net/v1/workflows/{workflowId}/executions"
payload = { "inputData": {
"transactionId": "txn-98765",
"amount": 1500,
"currency": "BRL",
"customerId": "cust-12345",
"message": "Payment received"
} }
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
inputData: {
transactionId: 'txn-98765',
amount: 1500,
currency: 'BRL',
customerId: 'cust-12345',
message: 'Payment received'
}
})
};
fetch('https://flowker.sandbox.lerian.net/v1/workflows/{workflowId}/executions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"executionId": "f7e6d5c4-b3a2-1098-7654-321fedcba098",
"startedAt": "2026-03-17T14:35:00Z",
"status": "running",
"workflowId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}{
"executionId": "f7e6d5c4-b3a2-1098-7654-321fedcba098",
"startedAt": "2026-03-17T14:35:00Z",
"status": "running",
"workflowId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890"
}{
"code": "FLK-0001",
"detail": "name is a required field",
"errors": [
{
"location": "body.nodes",
"message": "expected array length >= 1",
"value": "<unknown>"
}
],
"instance": "/v1/workflows",
"status": 400,
"title": "Bad Request",
"type": "https://errors.lerian.studio/v1/FLK-0001"
}{
"code": "FLK-0001",
"detail": "name is a required field",
"errors": [
{
"location": "body.nodes",
"message": "expected array length >= 1",
"value": "<unknown>"
}
],
"instance": "/v1/workflows",
"status": 400,
"title": "Bad Request",
"type": "https://errors.lerian.studio/v1/FLK-0001"
}{
"code": "FLK-0001",
"detail": "name is a required field",
"errors": [
{
"location": "body.nodes",
"message": "expected array length >= 1",
"value": "<unknown>"
}
],
"instance": "/v1/workflows",
"status": 400,
"title": "Bad Request",
"type": "https://errors.lerian.studio/v1/FLK-0001"
}{
"code": "FLK-0001",
"detail": "name is a required field",
"errors": [
{
"location": "body.nodes",
"message": "expected array length >= 1",
"value": "<unknown>"
}
],
"instance": "/v1/workflows",
"status": 400,
"title": "Bad Request",
"type": "https://errors.lerian.studio/v1/FLK-0001"
}{
"code": "FLK-0001",
"detail": "name is a required field",
"errors": [
{
"location": "body.nodes",
"message": "expected array length >= 1",
"value": "<unknown>"
}
],
"instance": "/v1/workflows",
"status": 400,
"title": "Bad Request",
"type": "https://errors.lerian.studio/v1/FLK-0001"
}Ejecutar un workflow
Utiliza este endpoint para iniciar una nueva ejecución de workflow. La solicitud retorna inmediatamente con estado pending. Utiliza el header Idempotency-Key para garantizar reintentos seguros.
Autorizaciones
Token bearer JWT emitido por el provider de identidad. Envíalo en la cabecera Authorization como Bearer <token>.
Encabezados
Clave de idempotencia única para garantizar reintentos seguros de la misma solicitud.
Parámetros de ruta
Identificador único del workflow.
Cuerpo
Cuerpo de la solicitud que contiene los datos de entrada de la ejecución.
Datos de entrada pasados al workflow. Disponibles para todos los nodes durante la ejecución. El tamaño máximo del payload es 1 MB.
Show child attributes
Show child attributes
{
"transactionId": "txn-98765",
"amount": 1500,
"currency": "BRL",
"customerId": "cust-12345",
"message": "Payment received"
}
Respuesta
Indica que una solicitud idéntica ya fue procesada. Retorna la ejecución original.
Identificador único de la ejecución.
"f7e6d5c4-b3a2-1098-7654-321fedcba098"
Marca de tiempo de cuando se inició la ejecución.
"2026-03-17T14:35:00Z"
Estado inicial de la ejecución (siempre pending).
"running"
ID del workflow que se está ejecutando.
"a1b2c3d4-e5f6-7890-abcd-ef1234567890"
¿Esta página le ayudó?

